using System;
using Server.Items;
using Server.Network;

namespace Server.Items 
{ 
   [FlipableAttribute( 2591, 2592 )] 
   public class LanternPost : Item
   { 
	  
	  [Constructable]
		public LanternPost() : base( 2591 )
		{
			Weight = 5.0;
         Name = "Lantern Post";
			Movable = true;
		}

      public LanternPost( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
}